﻿Imports System.ComponentModel

Friend Class NotifyPropertyChangedBaseClass : Implements INotifyPropertyChanged

	Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

	Protected Function ValueChanges(OldValue As Object, NewValue As Object) As Boolean
		Return OldValue IsNot Nothing AndAlso Not OldValue.Equals(NewValue)
	End Function

	Protected Sub OnPropertyChanged(<Runtime.CompilerServices.CallerMemberName> Optional PropertyName As String = "")
		RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(PropertyName))
	End Sub

End Class